#!/usr/bin/env python
# -*- coding: utf-8 -*-
"""
Created on Sun May 26 13:40:33 2019

@author: MAC
"""

import numpy as np
import pandas as pd
import matplotlib.pyplot as plt
from Engineering_tools import standard_atmosphere

altitude = np.linspace(0,80e3,801)
data = pd.DataFrame(columns=['altitude','T','P','rho'])

for h in altitude:
    data.loc[len(data)] = (h,)+standard_atmosphere(h)


if __name__ == '__main__': 
    plt.figure('ISA Temperature')
    plt.plot(data['T'],data['altitude']*1e-3)
    plt.title('Temperature Vs Altitude')
    plt.xlabel('Temperature (K)')
    plt.ylabel('Altitude (km)')

    plt.figure('ISA Pressure')
    plt.plot(data['P'],data['altitude']*1e-3)
    plt.xscale('log')
    plt.title('Pressure Vs Altitude')
    plt.xlabel('Pressure (Pa)')
    plt.ylabel('Altitude (km)')

    plt.figure('ISA Density')
    plt.plot(data['rho'],data['altitude']*1e-3)
    plt.xscale('log')
    plt.title('Density Vs Altitude')
    plt.xlabel('Density (Kg.m-3)')
    plt.ylabel('Altitude (km)')

    plt.show()
